#ifndef MSP_NET_DATAGRAMSOCKET_H_
#define MSP_NET_DATAGRAMSOCKET_H_

#include "socket.h"

namespace Msp {
namespace Net {

class DatagramSocket: public Socket
{
public:
	DatagramSocket(Family, int = 0);

	int connect(const SockAddr &);
	unsigned sendto(const char *, unsigned, const SockAddr &);
	unsigned recvfrom(char *, unsigned, SockAddr *&);
};

} // namespace Net
} // namespace Msp

#endif
